return Def.ActorFrame{
  Name= "actor_bf",
  LoadActor('bg.lua') .. {
    Name= "actor_cf",
    File= "bg.lua",
  },
  Def.ActorFrame{
    Name= "actor_df",
    InitCommand= function(self) self:fov(150);
		self:SetDrawByZPosition(true); end,
    Def.Quad{
      Name= "actor_ef",
      InitCommand= function(self)
	
	
	
		mawaru_body_final = false;
	
		mawaru_body_dirs = {'left','down','up','right'}
		
		mawaru_body_cpuloaded = false;
		mawaru_body_charscale = .75

		mawaru_body_held = {0,0,0,0,0,0,0,0};
		mawaru_body_previouspulse = 0;
		mawaru_body_lockinput = {0,0}
		mawaru_body_wall = {0,0}
		mawaru_body_moving = {0,0}
		mawaru_body_invin = {0,0}
		mawaru_body_hurt = {0,0}
		mawaru_body_alpha = {1,1};
		mawaru_body_movedir = {0,0}
		mawaru_body_getcheckpoint = {0,0};
		mawaru_body_trailtimer = 0.1;
		
		mawaru_body_editor = false;
		mawaru_body_divine = false;
		mawaru_body_god = false;
		mawaru_body_allcpu = false;
		mawaru_body_cpucheck = false;
		
		
		
		mawaru_body_stepscore = {0,0}
		mawaru_body_score = {0,0}
		
		mawaru_body_oddeven = 1;
		
		mawaru_body_collided = false;
		
		function mawaru_body_dist(a,b)
			return math.sqrt(math.pow((a:GetX()-b:GetX()),2)+math.pow((a:GetY()-b:GetY()),2));
		end
		function mawaru_body_dist3D(a,b)
			return math.sqrt(math.pow((a:GetX()-b:GetX()),2)+math.pow((a:GetY()-b:GetY()),2)+math.pow((a:GetZ()-b:GetZ()),2));
		end
		
		function mawaru_body_box_hittest(a,aw,ah,b,bw,bh)
			local ax = a:GetX();
			local ay = a:GetY();
			local bx = b:GetX();
			local by = b:GetY();
		
			if (ax+(aw*0.5)<bx-(bw*0.5)) then return false; end
			if (ax-(aw*0.5)>bx+(bw*0.5)) then return false; end
			if (ay+(ah*0.5)<by-(bh*0.5)) then return false; end
			if (ay-(ah*0.5)>by+(bh*0.5)) then return false; end

			return true;
		end
		
		mawaru_body_controlling = false;
		
		mawaru_body_roadL = {}
		mawaru_body_roadR = {}
		function mawaru_body_roadA(obj) table.insert(mawaru_body_roadL,obj); end
		function mawaru_body_roadB(obj) table.insert(mawaru_body_roadR,obj); end
		
	end,
      OnCommand= cmd(visible,false),
    },
    Def.Quad{
      Name= "actor_ff",
      InitCommand= cmd(visible,false),
      OnCommand= function(self)
		
			
		
			checkedB = false;
			
			--Gotta reverse-convert these, too. -Kid
			mawaru_body_pos = {
						{{320-140,240-140},{320,240-150},{320+140,240-140}},
						{{320-200,240},{320,240},{320+200,240}},
						{{320-140,240+140},{320,240+150},{320+140,240+140}}
						}
			
			mawaru_body_posx = {320-200,320,320+200};
			mawaru_body_posy = {240-150,240,240+150};
			
			mawaru_body_p1pos = {1,2};
			mawaru_body_p1lastpos = {1,2};
			mawaru_body_p2pos = {3,2};
			mawaru_body_p2lastpos = {3,2};

mawaru_body_curRoad = 1;
mawaru_body_roadBeat = 32;
mawaru_body_curRoad2 = 1;
mawaru_body_roadBeat2 = 36;

mawaru_body_roadBeat3 = 243;

mawaru_body_checkpointBeat = 88-.1;
mawaru_body_checkpointBeat2 = 242-.1;
mawaru_body_lastcheckpoints = {};

mawaru_body_cpus = true;
mawaru_body_stepped = {false,false};

function mawaru_body_find(list,val)
	for i=1,table.getn(list) do
		if list[i][1] == val[1] and list[i][2] == val[2] then
			return true;
		end
	end
	return false;
end

mawaru_body_starBeat1 = 32;
mawaru_body_starBeat2 = 999;

mawaru_body_buildingbeat = 32;

mawaru_body_starPtr = 1;
mawaru_body_starList = {}
mawaru_body_bPtr = 1;
mawaru_body_bList = {}
mawaru_body_tPtr = 1;
mawaru_body_tList = {}

mawaru_body_cPtr = 1;
mawaru_body_cList = {};
mawaru_body_wPtr = 1;
mawaru_body_wList = {};

function mawaru_body_list(obj,list)
	if list == 'c' then
		table.insert(_G['mawaru_body_'..list..'List'],{actor = obj, obstructed = false});
	else
		table.insert(_G['mawaru_body_'..list..'List'],obj);
	end
end

function mawaru_body_next(list)
	_G['mawaru_body_'..list..'Ptr'] = _G['mawaru_body_'..list..'Ptr']+1;
	if _G['mawaru_body_'..list..'Ptr']>table.getn(_G['mawaru_body_'..list..'List']) then
		_G['mawaru_body_'..list..'Ptr'] = 1;
	end
end

function mawaru_body_opposite(pn)
	if pn == 1 then return 2 else return 1 end
end

--CPU can see 150 boxels ahead
--increase or decrease this value to improve or worsen the CPU's reaction time
mawaru_body_lookahead = 150;
mawaru_body_difficulty = 3;
mawaru_body_cpu_lockinput = {0,0};
mawaru_body_difficulties = {50,100,150,150,250,400};

function mawaru_body_spotEligible(a,pn,aux)
	local b = a.actor;
	if (not a.obstructed and mawaru_body_difficulty > 5 or mawaru_body_difficulty <= 5) and b:getaux() == aux
	and b:GetZ()<-10 and b:GetZ()>-mawaru_body_lookahead
	and (mawaru_body_dist(_G['mawaru_body_p'..mawaru_body_opposite(pn)],b) > 100 or _G['mawaru_body_p'..mawaru_body_opposite(pn)]:GetZ()>0) then
		return true
	else
		return false
	end
end

function mawaru_body_nearestCheckpoint(pn)
	
	local tdist = 9999
	local nearest = 1
	local found = false
	for i=1,table.getn(mawaru_body_cList) do
		local a = mawaru_body_cList[i]
		if mawaru_body_spotEligible(a,pn,1) then
			if mawaru_body_dist3D(a.actor,_G['mawaru_body_p'..pn]) < tdist then
				nearest = i;
				tdist = mawaru_body_dist(a.actor,_G['mawaru_body_p'..pn]);
				found = true;
			end
		end
	end
	
	if found then
		return mawaru_body_cList[nearest];
	end
	
	for i=1,table.getn(mawaru_body_cList) do
		local a = mawaru_body_cList[i];
		if mawaru_body_spotEligible(a,pn,2) then
			if mawaru_body_dist3D(a.actor,_G['mawaru_body_p'..pn]) < tdist then
				nearest = i;
				tdist = mawaru_body_dist(a.actor,_G['mawaru_body_p'..pn]);
				found = true
			end
		end
	end
	
	return mawaru_body_cList[nearest];
	
end

function mawaru_body_placeCheckpoint(x,y,delay,aux)

	local a = mawaru_body_cList[mawaru_body_cPtr].actor;
	
	a:finishtweening();
	
	--a.obstructed = false;
	
	mawaru_body_cList[mawaru_body_cPtr].obstructed = false;
	
	a:visible(true);
	a:aux(aux);
	
	a:zoom(1);
	local rng = math.random(1,4)*90;
	a:rotationz(rng);
	a:zoomz(rng/100);
	
	a:rainbow();
	a:effectperiod(2);
	--a:blend('add');
	
	a:x(mawaru_body_pos[y][x][1]);
	a:y(mawaru_body_pos[y][x][2]);
	
	a:z(-700);
	a:diffusealpha(0);
	
	if delay then
		a:sleep(delay);
	end
	
	a:linear(0.5*(60/115)/RATEMOD);
	--hide pathfinding assistant checkpoints
	if aux==1 then
		a:diffusealpha(1);
	else
		--a:diffusealpha(0.1);
		a:visible(false);
	end
	a:addz(700*0.125);
	a:linear(3.5*(60/115)/RATEMOD);
	a:addz(700*0.875);
	a:linear(2*(60/115)/RATEMOD);
	a:addz(700*0.5);
	
	a:queuecommand('Hide');

	mawaru_body_next('c');
end

function mawaru_body_placeWall(x,y)

	local a = mawaru_body_wList[mawaru_body_wPtr];
	
	a:finishtweening();
	a:visible(true);
	a:aux(1);
	
	a:rotationx(-90);
	a:zoomx(200/50);
	a:zoomz(150/50);--zoomy -> zoomz. -Kid
	a:zoomy(5/50);--zoomz -> zoomy. -Kid
	
	a:x(mawaru_body_posx[x]);
	a:y(mawaru_body_posy[y]);
	
	a:z(-700);
	a:diffusealpha(0);
	a:linear(1*(60/115)/RATEMOD);
	a:diffusealpha(1);
	a:addz(700*0.25);
	a:linear(3*(60/115)/RATEMOD);
	a:addz(700*0.75);
	a:linear(2*(60/115)/RATEMOD);
	a:addz(700*0.5);
	
	a:queuecommand('Hide');

	mawaru_body_next('w');
end

function mawaru_body_placeTrail(pn)
	
	if _G['mawaru_body_p'..pn]:GetZoomY() > 0 and mawaru_body_wall[pn] <= 0 then
		
		--and mawaru_body_dist(mawaru_body_controller,_G['mawaru_body_p'..pn])>40
		--for stopping trail from spawning in the middle, no longer necessary
		
		local a = mawaru_body_tList[mawaru_body_tPtr];
		
		a:finishtweening();
		a:visible(true);
		if pn==1 then
			a:diffuse(1,.1,.1,mawaru_body_alpha[pn]);
		else
			a:diffuse(.1,.3,1,mawaru_body_alpha[pn]);
		end
		
		if not mawaru_body_stepped[pn] then
			a:diffuse(.7,.7,.7,mawaru_body_alpha[pn]);
			--a:diffuse(0,0,0,mawaru_body_alpha[pn]);
			--a:diffuse(1,1,1,mawaru_body_alpha[pn]);
		end
		
		a:zoom(1);
		a:x(_G['mawaru_body_p'..pn]:GetX());
		a:y(_G['mawaru_body_p'..pn]:GetY()+60); --at char's feet
		a:z(_G['mawaru_body_p'..pn]:GetZ());
		
		a:linear(0.3);
		a:addz(50);
		a:diffusealpha(0);
		a:zoom(-0.1);
		
		a:queuecommand('Hide');
		
	end
	
	mawaru_body_next('t');
end

function mawaru_body_placeBuilding()

	local a = mawaru_body_bList[mawaru_body_bPtr];
	
	a:finishtweening();
	a:visible(true);
	
	a:diffuse(0,0,0,0);
	
	a:zoomto(math.random(600,1000),math.random(2500,5000));
	
	a:diffusealpha(0);
	if math.random(1,2) == 1 then
		a:x(math.random(-1600,-400));
	else
		a:x(math.random(SCREEN_WIDTH+400,SCREEN_WIDTH+1600));
	end
	
	a:y(SCREEN_HEIGHT-math.random(-100,240));
	a:z(-800-math.random(0,130));
	a:linear(0.5/RATEMOD)
	a:diffusealpha(0.5);
	a:addz(200);
	
	a:linear(3.5/RATEMOD);
	
	a:addz(1400);

	mawaru_body_next('b');
	
end

function mawaru_body_placeStar()

	local a = mawaru_body_starList[mawaru_body_starPtr];
	
	local s = math.random(10,20)/15;
	
	a:visible(true);
	a:diffusealpha(0.4);
	a:blend('add');
	a:x(math.random(-300,SCREEN_WIDTH+300));
	a:y(math.random(-200,SCREEN_HEIGHT*0.7));
	a:z(-700);
	
	a:zoom(s);
	
	a:pulse();
	a:effectclock('bgm');
	a:effectperiod(0.2);
	a:effectmagnitude(s,s*1.6,1);
	a:effect_hold_at_full(0.8);
	
	a:linear(3/RATEMOD);
	
	a:z(700);
	a:queuecommand('Hide');

	mawaru_body_next('star');
	
end
			
		end,
      StartCommand= function(self)
			self:sleep(0.02);
			self:queuecommand('Update');
		end,
      UpdateCommand= function(self)

-----------------------------------------------
--------------------Intro shit-----------------
-----------------------------------------------

			if GAMESTATE:GetSongBeat()>=0.1 and not checkedB then
				
				mawaru_body_lookahead = mawaru_body_difficulties[mawaru_maxdifficulty+1];
				
				checkedB = true;
			end
			
			local beat = GAMESTATE:GetSongBeat();
			
			if mawaru_body_controlling == false then
				for pn=1,2 do
					for i=0,3 do
						_G['mawaru_body_p'..pn..'_move'..i]:visible(false);
					end
					_G['mawaru_body_p'..pn..'_idle']:visible(true);
					_G['mawaru_body_p'..pn..'_hurt']:visible(false);
				end
			else
				for pn=1,2 do
					for i=0,3 do
						_G['mawaru_body_p'..pn..'_move'..i]:visible(false);
					end
					_G['mawaru_body_p'..pn..'_idle']:visible(false);
					_G['mawaru_body_p'..pn..'_hurt']:visible(false);
				end
			end
			
-----------------------------------------------
--------------------Minigame-------------------
-----------------------------------------------

			if beat>32 and beat<88 and not mawaru_body_allcpu then
				for pn=1,2 do
					if GAMESTATE:IsPlayerEnabled(pn-1) then
						mawaru_body_stepped[pn] = true;
					end
				end
				--Trace('Stepped P1: '..tostring(mawaru_body_stepped[1]));
				--Trace('Stepped P2: '..tostring(mawaru_body_stepped[2]));
				--TODO: load AI sprite sheets when done if cpus = true
			end
			
			if beat>=88-.05 and not mawaru_body_cpucheck then
				if mawaru_body_allcpu then
					mawaru_body_stepped[1] = false
					mawaru_body_stepped[2] = false
				end
				mawaru_body_cpucheck = true;
			end

			while beat>mawaru_body_checkpointBeat do
				
				if beat<mawaru_body_checkpointBeat+2 then
					local num = 2
					
					if beat>88 then
						if mawaru_body_oddeven == 1 then
							num = 1
							mawaru_body_oddeven = 0
						else
							if beat<90 then
								num = 3
							else
								num = 5
							end
							mawaru_body_oddeven = 1
						end
					end
					
					local rng = {math.random(1,3),math.random(1,3)}
					mawaru_body_lastcheckpoints = {};
					
					for i=1,9 do
					
						rng = {math.random(1,3),math.random(1,3)}
						
						while mawaru_body_find(mawaru_body_lastcheckpoints,rng) do
							rng = {math.random(1,3),math.random(1,3)}
						end
						
						table.insert(mawaru_body_lastcheckpoints,{rng[1],rng[2]});
						
						if i<=num then
							if beat<88 or beat>90 then
								if beat>90 and mawaru_body_oddeven == 1 and i>1 then
									mawaru_body_placeWall(rng[1],rng[2])
								else
									mawaru_body_placeCheckpoint(rng[1],rng[2],0,1)
								end
							end
						else
							mawaru_body_placeCheckpoint(rng[1],rng[2],0,2)
						end
						
					end
				end
				
				mawaru_body_checkpointBeat = mawaru_body_checkpointBeat+2
				
			end
			
			while beat>mawaru_body_checkpointBeat2 do
				
				if beat<mawaru_body_checkpointBeat2+2 then
					local num = math.random(5,8);
					
					local rng = {math.random(1,3),math.random(1,3)}
					mawaru_body_lastcheckpoints = {};
					
					for i=1,9 do
					
						rng = {math.random(1,3),math.random(1,3)}
					
						while mawaru_body_find(mawaru_body_lastcheckpoints,rng) do
							rng = {math.random(1,3),math.random(1,3)}
						end
						
						table.insert(mawaru_body_lastcheckpoints,{rng[1],rng[2]});
						
						if i<=num then
							if i>1 and beat<290 then
								mawaru_body_placeWall(rng[1],rng[2])
							elseif i==1 then
								mawaru_body_placeCheckpoint(rng[1],rng[2],(120/115),1)
								mawaru_body_placeCheckpoint(rng[1],rng[2],0,2)
							end
						else
							mawaru_body_placeCheckpoint(rng[1],rng[2],0,2)
						end
						
					end
				end
				
				mawaru_body_checkpointBeat2 = mawaru_body_checkpointBeat2+4
				
			end

			if mawaru_body_trailtimer<=0 then
				mawaru_body_placeTrail(1);
				mawaru_body_placeTrail(2);
				mawaru_body_trailtimer = 0.02;
			else
				mawaru_body_trailtimer = mawaru_body_trailtimer-0.02
			end

			if mawaru_body_controlling then
				
				for pn=1,2 do
				
					--handle wall collision
					for i=1,table.getn(mawaru_body_wList) do
						if mawaru_body_wList[i]:getaux() == 1 then
							local a = mawaru_body_wList[i];
							if mawaru_body_box_hittest(_G['mawaru_body_p'..pn],48,96,a,200,150) and mawaru_body_invin[pn]<=0 and math.abs(a:GetZ())<20 then
								_G['mawaru_body_p'..pn]:stoptweening();
								_G['mawaru_body_p'..pn]:z(a:GetZ()+5);
								_G['mawaru_body_p'..pn]:playcommand('Wall');
								_G['mawaru_body_p'..pn]:linear(2*(60/115)/RATEMOD);
								_G['mawaru_body_p'..pn]:addz(700*0.5);
								_G['mawaru_body_p'..pn]:sleep(2*(60/115)/RATEMOD);
								_G['mawaru_body_p'..pn]:queuemessage('UpdateMovementSlowP'..pn);
								
								for i=0,3 do
									_G['mawaru_body_p'..pn..'_move'..i]:glowshift();
									_G['mawaru_body_p'..pn..'_move'..i]:effectcolor1(1,1,1,0.7);
									_G['mawaru_body_p'..pn..'_move'..i]:effectcolor2(1,1,1,0);
									_G['mawaru_body_p'..pn..'_move'..i]:effectperiod(0.35);
								end
								_G['mawaru_body_p'..pn..'_idle']:glowshift();
								_G['mawaru_body_p'..pn..'_idle']:effectcolor1(1,1,1,0.7);
								_G['mawaru_body_p'..pn..'_idle']:effectcolor2(1,1,1,0);
								_G['mawaru_body_p'..pn..'_idle']:effectperiod(0.35);
								
								mawaru_body_score[pn] = mawaru_body_score[pn]-1;
								MESSAGEMAN:Broadcast('UpdateScoreP'..pn);
								MESSAGEMAN:Broadcast('LoseScoreP'..pn);
								
								mawaru_body_wall[pn] = 4*(60/115)/RATEMOD;
								mawaru_body_hurt[pn] = 4*(60/115)/RATEMOD;
								mawaru_body_lockinput[pn] = (4*(60/115)/RATEMOD)+0.5;
								mawaru_body_invin[pn] = 8*(60/115)/RATEMOD;
								Sound('wallhit');
								if math.random(1,100) < 20 then
									Sound('wilhelm');
								end
							end
						end
					end
					
					--handle checkpoint collision
					for i=1,table.getn(mawaru_body_cList) do
						if mawaru_body_cList[i].actor:getaux() == 1 then
							local a = mawaru_body_cList[i].actor;
							if mawaru_body_box_hittest(_G['mawaru_body_p'..pn],48,96,a,96,96) and mawaru_body_lockinput[pn]<=0 and math.abs(a:GetZ())<20 then
								a:stoptweening();
								a:aux(0);
								a:linear(0.1);
								a:addz(60);
								a:zoom(1.2);
								a:bouncebegin(0.4);
								a:zoom(0);
								a:x(_G['mawaru_body_p'..pn]:GetX());
								a:y(_G['mawaru_body_p'..pn]:GetY());
								a:z(0);
								a:zoom(0);
								a:rotationz((a:GetZoomZ()*100)+360);
								
								_G['mawaru_body_p'..pn..'_rotate']:stoptweening();
								_G['mawaru_body_p'..pn..'_rotate']:zoom(1.1);
								_G['mawaru_body_p'..pn..'_rotate']:decelerate(0.4);
								_G['mawaru_body_p'..pn..'_rotate']:rotationz(360*((math.random(0,1)*2)-1));
								_G['mawaru_body_p'..pn..'_rotate']:zoom(1);
								_G['mawaru_body_p'..pn..'_rotate']:sleep(0);
								_G['mawaru_body_p'..pn..'_rotate']:rotationz(0);
								
								mawaru_body_score[pn] = mawaru_body_score[pn]+1;
								MESSAGEMAN:Broadcast('UpdateScoreP'..pn);
								MESSAGEMAN:Broadcast('AddScoreP'..pn);
								
								mawaru_body_getcheckpoint[pn] = 0.6;
								Sound('get'..math.random(1,3)..'');
								
								mawaru_body_cpu_lockinput[pn] = 0.5;
								
								--TODO: Make the get noises be in key with the song, and with each other
							end
						elseif mawaru_body_cList[i].actor:getaux() == 2 then
							local a = mawaru_body_cList[i].actor;
							if mawaru_body_box_hittest(_G['mawaru_body_p'..pn],48,96,a,96,96) and mawaru_body_lockinput[pn]<=0 and math.abs(a:GetZ())<20 then
								mawaru_body_cpu_lockinput[pn] = 0.5;
							end
						end
					end
					
				end
				
				--if you move into someone's spot while they're being hit by a wall
				--move them out of the way
				if mawaru_body_wall[1] > 0 and mawaru_body_wall[2] <= 0 or mawaru_body_wall[1] > 0 and mawaru_body_wall[2] > 0 and mawaru_body_wall[1]>mawaru_body_wall[2] then
					while mawaru_body_p1pos[1] == mawaru_body_p2pos[1] and mawaru_body_p1pos[2] == mawaru_body_p2pos[2] do
						mawaru_body_p1pos[1] = math.random(1,3)
						mawaru_body_p1pos[2] = math.random(1,3)
					end
				end
				if mawaru_body_wall[2] > 0 and mawaru_body_wall[1] <= 0 or mawaru_body_wall[1] > 0 and mawaru_body_wall[2] > 0 and mawaru_body_wall[1]<mawaru_body_wall[2] then
					while mawaru_body_p1pos[1] == mawaru_body_p2pos[1] and mawaru_body_p1pos[2] == mawaru_body_p2pos[2] do
						mawaru_body_p2pos[1] = math.random(1,3)
						mawaru_body_p2pos[2] = math.random(1,3)
					end
				end
			
				if mawaru_body_box_hittest(mawaru_body_p1,50,100,mawaru_body_p2,50,100) and math.abs(mawaru_body_p1:GetZ()-mawaru_body_p2:GetZ()) < 10
				and mawaru_body_wall[1]+mawaru_body_wall[2] <= 0 and not mawaru_body_collided then
					--handle crash bashing into each other
					if mawaru_body_p1pos[1] == mawaru_body_p2pos[1] and mawaru_body_p1pos[2] == mawaru_body_p2pos[2] or
					mawaru_body_p1lastpos[1] == mawaru_body_p2lastpos[1] and mawaru_body_p1lastpos[2] == mawaru_body_p2lastpos[2] or
					mawaru_body_moving[1] <= 0 and mawaru_body_moving[2] > 0 or mawaru_body_moving[2] <= 0 and mawaru_body_moving[1] > 0 then
						--Trace('One player getting fucked');
						if mawaru_body_moving[1] <= mawaru_body_moving[2] then
							local pn = 2;
							_G['mawaru_body_p'..pn..'pos'][1] = _G['mawaru_body_p'..pn..'lastpos'][1]
							_G['mawaru_body_p'..pn..'pos'][2] = _G['mawaru_body_p'..pn..'lastpos'][2]
							Sound('bonk');
							MESSAGEMAN:Broadcast('UpdateMovementSlowP'..pn);
							mawaru_body_moving[pn] = 0;
							mawaru_body_lockinput[pn] = 0.7;
							mawaru_body_hurt[pn] = 0.5;
							mawaru_body_nearestCheckpoint(pn).obstructed = true;
							
							mawaru_body_lockinput[1] = 0.3;
							mawaru_body_hurt[1] = 0.2;
						else
							local pn = 1;
							_G['mawaru_body_p'..pn..'pos'][1] = _G['mawaru_body_p'..pn..'lastpos'][1]
							_G['mawaru_body_p'..pn..'pos'][2] = _G['mawaru_body_p'..pn..'lastpos'][2]
							Sound('bonk');
							MESSAGEMAN:Broadcast('UpdateMovementSlowP'..pn);
							mawaru_body_moving[pn] = 0;
							mawaru_body_lockinput[pn] = 0.7;
							mawaru_body_hurt[pn] = 0.5;
							mawaru_body_nearestCheckpoint(pn).obstructed = true;
							
							mawaru_body_lockinput[2] = 0.3;
							mawaru_body_hurt[2] = 0.2;
						end
					else
						--Trace('Both players getting fucked');
						for pn=1,2 do
							_G['mawaru_body_p'..pn..'pos'][1] = _G['mawaru_body_p'..pn..'lastpos'][1]
							_G['mawaru_body_p'..pn..'pos'][2] = _G['mawaru_body_p'..pn..'lastpos'][2]
							Sound('bonk');
							MESSAGEMAN:Broadcast('UpdateMovementSlowP'..pn);
							mawaru_body_moving[pn] = 0;
							mawaru_body_lockinput[pn] = 0.5;
							mawaru_body_hurt[pn] = 0.5;
							mawaru_body_nearestCheckpoint(pn).obstructed = true;
						end
					end
					mawaru_body_collided = true;
				end
				
				if not mawaru_body_box_hittest(mawaru_body_p1,64,128,mawaru_body_p2,64,128) then
					mawaru_body_collided = false;
				end
			
				for pn=1,2 do
				
					if mawaru_body_lockinput[pn]>0 then
						mawaru_body_lockinput[pn] = mawaru_body_lockinput[pn]-0.02
					end
					if mawaru_body_moving[pn]>0 then
						mawaru_body_moving[pn] = mawaru_body_moving[pn]-0.02
					end
					if mawaru_body_hurt[pn]>0 then
						mawaru_body_hurt[pn] = mawaru_body_hurt[pn]-0.02
					end
					if mawaru_body_wall[pn]>0 then
						mawaru_body_wall[pn] = mawaru_body_wall[pn]-0.02
					end
					if mawaru_body_getcheckpoint[pn]>0 then
						mawaru_body_getcheckpoint[pn] = mawaru_body_getcheckpoint[pn]-0.02
					end
					if mawaru_body_invin[pn]>0 then
						mawaru_body_invin[pn] = mawaru_body_invin[pn]-0.02
					else
						for i=0,3 do
							_G['mawaru_body_p'..pn..'_move'..i]:stopeffect();
						end
						_G['mawaru_body_p'..pn..'_idle']:stopeffect();
						_G['mawaru_body_p'..pn..'_hurt']:stopeffect();
					end
				
					local bpn = pn-1;
					
					if mawaru_body_hurt[pn]>0 then
						if mawaru_body_wall[pn]<=0 then
							_G['mawaru_body_p'..pn..'_hurt']:vibrate();
							_G['mawaru_body_p'..pn..'_hurt']:effectmagnitude(5,5,5);
						else
							_G['mawaru_body_p'..pn..'_hurt']:stopeffect();
						end
						_G['mawaru_body_p'..pn..'_hurt']:visible(true);
					elseif mawaru_body_moving[pn]>0 and mawaru_body_hurt[pn]<=0 then
						_G['mawaru_body_p'..pn..'_move'..mawaru_body_movedir[pn] ]:visible(true);
					else
						_G['mawaru_body_p'..pn..'_idle']:visible(true);
					end
					
					if _G['mawaru_body_p'..pn..'pos'][1] == 2 and _G['mawaru_body_p'..pn..'pos'][2] == 2 then
						if mawaru_body_alpha[pn] > 0.3 then
							mawaru_body_alpha[pn] = mawaru_body_alpha[pn]-0.05
						end
					else
						if mawaru_body_alpha[pn] < 1 then
							mawaru_body_alpha[pn] = mawaru_body_alpha[pn]+0.05
						end
					end
					
					for i=0,3 do
						_G['mawaru_body_p'..pn..'_move'..i]:glow(1,.8,0,mawaru_body_getcheckpoint[pn]);
						_G['mawaru_body_p'..pn..'_move'..i]:diffusealpha(mawaru_body_alpha[pn]);
					end
					_G['mawaru_body_p'..pn..'_idle']:glow(1,.8,0,mawaru_body_getcheckpoint[pn]);
					_G['mawaru_body_p'..pn..'_idle']:diffusealpha(mawaru_body_alpha[pn]);
					_G['mawaru_body_p'..pn..'_hurt']:glow(1,.8,0,mawaru_body_getcheckpoint[pn]);
					_G['mawaru_body_p'..pn..'_hurt']:diffusealpha(mawaru_body_alpha[pn]);
					
					--Trace('Player '..pn..' @ x: '.._G['mawaru_body_p'..pn]:GetX()..' y: '.._G['mawaru_body_p'..pn]:GetY());
					
					if mawaru_body_cpu_lockinput[pn] > 0 then
						mawaru_body_cpu_lockinput[pn] = mawaru_body_cpu_lockinput[pn]-0.02
					end
					
					--CPU ai behavior
					if mawaru_body_cpus and mawaru_body_cpu_lockinput[pn] <= 0 and not mawaru_body_stepped[pn] then
						local a = mawaru_body_nearestCheckpoint(pn).actor;
						local p = _G['mawaru_body_p'..pn];
						if a:getaux() > 0 then
							if a:GetX() > p:GetX()+80 then
								mawaru_keys[4+(bpn*4)] = 1;
								mawaru_keys[1+(bpn*4)] = 0;
								mawaru_keys[2+(bpn*4)] = 0;
								mawaru_keys[3+(bpn*4)] = 0;
							elseif a:GetX() < p:GetX()-80 then
								mawaru_keys[4+(bpn*4)] = 0;
								mawaru_keys[1+(bpn*4)] = 1;
								mawaru_keys[2+(bpn*4)] = 0;
								mawaru_keys[3+(bpn*4)] = 0;
							elseif a:GetY() > p:GetY()+80 then
								mawaru_keys[2+(bpn*4)] = 1;
								mawaru_keys[3+(bpn*4)] = 0;
								mawaru_keys[4+(bpn*4)] = 0;
								mawaru_keys[1+(bpn*4)] = 0;
							elseif a:GetY() < p:GetY()-80 then
								mawaru_keys[2+(bpn*4)] = 0;
								mawaru_keys[3+(bpn*4)] = 1;
								mawaru_keys[4+(bpn*4)] = 0;
								mawaru_keys[1+(bpn*4)] = 0;
							else
								mawaru_keys[2+(bpn*4)] = 0;
								mawaru_keys[3+(bpn*4)] = 0;
								mawaru_keys[4+(bpn*4)] = 0;
								mawaru_keys[1+(bpn*4)] = 0;
							end
						else
							mawaru_keys[2+(bpn*4)] = 0;
							mawaru_keys[3+(bpn*4)] = 0;
							mawaru_keys[4+(bpn*4)] = 0;
							mawaru_keys[1+(bpn*4)] = 0;
						end
					end
					
					for i=1,4 do
						if mawaru_keys[i+(bpn*4)] == 1 and mawaru_body_held[i+(bpn*4)] == 0 and mawaru_body_lockinput[pn]<=0 and mawaru_body_moving[pn]<=0 then
							
							if i==1 and _G['mawaru_body_p'..pn..'pos'][1] > 1 then
								_G['mawaru_body_p'..pn..'lastpos'][1] = _G['mawaru_body_p'..pn..'pos'][1];
								_G['mawaru_body_p'..pn..'lastpos'][2] = _G['mawaru_body_p'..pn..'pos'][2];
								_G['mawaru_body_p'..pn..'pos'][1] = math.max(_G['mawaru_body_p'..pn..'pos'][1]-1,1);
								MESSAGEMAN:Broadcast('UpdateMovementP'..pn);
								mawaru_body_moving[pn] = 0.2;
								mawaru_body_movedir[pn] = 0;
							end
							if i==4 and _G['mawaru_body_p'..pn..'pos'][1] < 3 then
								_G['mawaru_body_p'..pn..'lastpos'][1] = _G['mawaru_body_p'..pn..'pos'][1];
								_G['mawaru_body_p'..pn..'lastpos'][2] = _G['mawaru_body_p'..pn..'pos'][2];
								_G['mawaru_body_p'..pn..'pos'][1] = math.min(_G['mawaru_body_p'..pn..'pos'][1]+1,3);
								MESSAGEMAN:Broadcast('UpdateMovementP'..pn);
								mawaru_body_moving[pn] = 0.2;
								mawaru_body_movedir[pn] = 3;
							end
							if i==3 and _G['mawaru_body_p'..pn..'pos'][2] > 1 then
								_G['mawaru_body_p'..pn..'lastpos'][1] = _G['mawaru_body_p'..pn..'pos'][1];
								_G['mawaru_body_p'..pn..'lastpos'][2] = _G['mawaru_body_p'..pn..'pos'][2];
								_G['mawaru_body_p'..pn..'pos'][2] = math.max(_G['mawaru_body_p'..pn..'pos'][2]-1,1);
								MESSAGEMAN:Broadcast('UpdateMovementP'..pn);
								mawaru_body_moving[pn] = 0.2;
								mawaru_body_movedir[pn] = 2;
							end
							if i==2 and _G['mawaru_body_p'..pn..'pos'][2] < 3 then
								_G['mawaru_body_p'..pn..'lastpos'][1] = _G['mawaru_body_p'..pn..'pos'][1];
								_G['mawaru_body_p'..pn..'lastpos'][2] = _G['mawaru_body_p'..pn..'pos'][2];
								_G['mawaru_body_p'..pn..'pos'][2] = math.min(_G['mawaru_body_p'..pn..'pos'][2]+1,3);
								MESSAGEMAN:Broadcast('UpdateMovementP'..pn);
								mawaru_body_moving[pn] = 0.2;
								mawaru_body_movedir[pn] = 1;
							end
							
							if mawaru_body_stepped[pn] then
								mawaru_body_held[i+(bpn*4)] = 1
							end
							
						end
					
						--release all buttons
						if mawaru_keys[i+(bpn*4)] == 0 then
							mawaru_body_held[i+(bpn*4)] = 0
						end
					end
				end
			end

-----------------------------------------------
--------------------generators for BG----------
-----------------------------------------------
			
			while beat>mawaru_body_starBeat1-0.05 do
				
				if beat < mawaru_body_starBeat1+2 then
					if beat<mawaru_body_starBeat1+1 then
						for i=1,4 do
							mawaru_body_placeStar();
						end
					end
				end
			
				mawaru_body_starBeat1 = mawaru_body_starBeat1+1;
			end
			
			
			--if beat>mawaru_body_buildingbeat-0.05 then
			while beat>mawaru_body_buildingbeat-0.05 do
				
				if beat < mawaru_body_buildingbeat+2 then
					if beat<mawaru_body_buildingbeat+1 then
						for i=1,4 do
							mawaru_body_placeBuilding();
						end
					end
				end
			
				mawaru_body_buildingbeat = mawaru_body_buildingbeat+2;
			end
			
			while beat>mawaru_body_roadBeat3-.05 do
				
				if beat < mawaru_body_roadBeat3+2 then
			
					for i=1,table.getn(mawaru_body_roadL) do
						local a = mawaru_body_roadL[i];
						a:finishtweening();
						a:zoomz(3);
						if mawaru_body_curRoad == 1 then
							a:skewx(0);
						elseif mawaru_body_curRoad == 2 then
							a:skewx(-1);
						elseif mawaru_body_curRoad == 3 then
							a:skewx(0);
						elseif mawaru_body_curRoad == 4 then
							a:skewx(1);
						end
						a:rotationx(70);
						a:zoomy(2);
						a:decelerate(30/115);
						a:rotationx(0);
						a:zoomy(1);
					end
					for i=1,table.getn(mawaru_body_roadR) do
						local a = mawaru_body_roadR[i];
						a:finishtweening();
						a:zoomz(3);
						if mawaru_body_curRoad == 1 then
							a:skewx(0);
						elseif mawaru_body_curRoad == 2 then
							a:skewx(1);
						elseif mawaru_body_curRoad == 3 then
							a:skewx(0);
						elseif mawaru_body_curRoad == 4 then
							a:skewx(-1);
						end
						a:rotationx(-70);
						a:zoomy(2);
						a:decelerate(30/115);
						a:rotationx(0);
						a:zoomy(1);
					end
					
					if mawaru_body_curRoad == 1 then
						mawaru_body_curRoad = 2;
					elseif mawaru_body_curRoad == 2 then
						mawaru_body_curRoad = 3;
					elseif mawaru_body_curRoad == 3 then
						mawaru_body_curRoad = 4;
					elseif mawaru_body_curRoad == 4 then
						mawaru_body_curRoad = 1;
					end
				end
			
				mawaru_body_roadBeat3 = mawaru_body_roadBeat3+2;
			end
			
			while beat>mawaru_body_roadBeat2 do
				
				if beat < mawaru_body_roadBeat2+2 then
					if mawaru_body_CurRoad2 == 1 then
						
						for i=1,table.getn(mawaru_body_roadL) do
							local a = mawaru_body_roadL[i];
							a:linear(240/115);
							a:rotationx(40);
							a:zoomy(1.33);
						end
						for i=1,table.getn(mawaru_body_roadR) do
							local a = mawaru_body_roadR[i];
							a:linear(240/115);
							a:rotationx(-40);
							a:zoomy(1.33);
						end
					
						mawaru_body_CurRoad2 = 2
					else
					
						for i=1,table.getn(mawaru_body_roadL) do
							local a = mawaru_body_roadL[i];
							a:linear(240/115);
							a:rotationx(0);
							a:zoomy(1);
						end
						for i=1,table.getn(mawaru_body_roadR) do
							local a = mawaru_body_roadR[i];
							a:linear(240/115);
							a:rotationx(0);
							a:zoomy(1);
						end
					
						mawaru_body_CurRoad2 = 1
					end
				end
				
				mawaru_body_roadBeat2 = mawaru_body_roadBeat2+16
			end
			
			while beat>mawaru_body_roadBeat do
				
				if beat < mawaru_body_roadBeat+2 then
					if mawaru_body_curRoad == 1 then
						for i=1,table.getn(mawaru_body_roadL) do
							local a = mawaru_body_roadL[i];
							a:linear(240/115);
							a:skewx(0.7);
						end
						for i=1,table.getn(mawaru_body_roadR) do
							local a = mawaru_body_roadR[i];
							a:linear(240/115);
							a:skewx(-0.7);
						end
						mawaru_body_curRoad = 2;
					elseif mawaru_body_curRoad == 2 then
						for i=1,table.getn(mawaru_body_roadL) do
							local a = mawaru_body_roadL[i];
							a:linear(240/115);
							a:skewx(0);
						end
						for i=1,table.getn(mawaru_body_roadR) do
							local a = mawaru_body_roadR[i];
							a:linear(240/115);
							a:skewx(0);
						end
						mawaru_body_curRoad = 3;
					elseif mawaru_body_curRoad == 3 then
						for i=1,table.getn(mawaru_body_roadL) do
							local a = mawaru_body_roadL[i];
							a:linear(240/115);
							a:skewx(-0.7);
						end
						for i=1,table.getn(mawaru_body_roadR) do
							local a = mawaru_body_roadR[i];
							a:linear(240/115);
							a:skewx(0.7);
						end
						mawaru_body_curRoad = 4;
					elseif mawaru_body_curRoad == 4 then
						for i=1,table.getn(mawaru_body_roadL) do
							local a = mawaru_body_roadL[i];
							a:linear(240/115);
							a:skewx(0);
						end
						for i=1,table.getn(mawaru_body_roadR) do
							local a = mawaru_body_roadR[i];
							a:linear(240/115);
							a:skewx(0);
						end
						mawaru_body_curRoad = 1;
					end
				end
				
				mawaru_body_roadBeat = mawaru_body_roadBeat+8
			end
			
---------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------
			
		local disable = false;
		if disable ~= true then
			
		end
		
		if mawaru_curgame == 2 then
			self:sleep(0.02);
			self:queuecommand('Update');
		end

---------------------------------------------------------------------------------------
----------------------END DON'T TOUCH IT KIDDO-----------------------------------------
---------------------------------------------------------------------------------------
			
		end,
    },
    Def.Quad{
      Name= "actor_gf",
      OnCommand= function(self)
		--pulse controller
		self:sleep((30/115)/RATEMOD);
		self:queuecommand('Pulse');
	end,
      PulseCommand= function(self)
	
		if GAMESTATE:GetSongBeat() > mod_firstSeenBeat+1 then

			local rng = math.random(1,4)
			
			while mawaru_body_previouspulse == rng do
				rng = math.random(1,4)
			end
			
			mawaru_body_previouspulse = rng;
			
			mawaru_body_pulse1:setstate(rng-1);
			mawaru_body_pulse2:setstate(rng-1);
			mawaru_body_pulse2:diffuse(1,1,1,1);
			mawaru_body_pulse2:linear((30/115)/RATEMOD);
			mawaru_body_pulse2:diffuse(0,0,0,1);
		
		end
		
		self:sleep((60/115)/RATEMOD);
		self:queuecommand('Pulse');
		
	end,
    },
    Def.ActorFrame{
      Name= "actor_hf",
      OnCommand= function(self) self:z(-896); end,
      Def.ActorFrame{
        Name= "actor_if",
        OnCommand= function(self) self:z(896); end,
        Def.Sprite{
          Name= "actor_jf",--Backwards-converted x & y positions and removed zoom. -Kid
          InitCommand= cmd(x,320;y,480*0.4;blend,"BlendMode_Add";diffusealpha,0.5;animate,0;setstate,0),
          OnCommand= function(self) mawaru_body_pulse1 = self end,
          Texture= "pulse2 1x4.png",
        },
        Def.Sprite{
          Name= "actor_kf",--Backwards-converted x & y positions and removed zoom. -Kid
          InitCommand= cmd(x,320;y,480*0.4;blend,"BlendMode_Add";diffusealpha,1;diffuse,color('0,0,0,1');animate,0;setstate,0),
          OnCommand= function(self) mawaru_body_pulse2 = self end,
          Texture= "pulse2 1x4.png",
        },
      },
    },
    --For all road parts, Reverse-converted x & y pos. -Kid
    Def.ActorFrame{
      Name= "actor_lf",
      OnCommand= function(self) self:fov(170) mawaru_body_roads = self; self:y(1500); self:x(240); self:z(-896); end,
      Def.ActorFrame{
        Name= "actor_mf",
        OnCommand= function(self) self:fov(170) self:zoomx(1.5); self:x(-240*1.5); self:z(896); end,
        Def.ActorFrame{
          Name= "actor_nf",
          OnCommand= cmd(zoomx,2;x,240;y,480;z,-896;rotationx,90),
          Def.ActorFrame{
            Name= "actor_of",
            InitCommand= function(self) mawaru_body_allroads = self end,
            LoopCommand= cmd(linear,(480/115)/2;y,-1024;sleep,0;y,0;queuecommand,"Loop"),--Unconverted y pos. -Kid
            OnCommand= cmd(queuecommand,"Loop"),
            Def.Sprite{
              Name= "actor_pf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,1024),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_qf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,768),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_rf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,512),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_sf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,256),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_tf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_uf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-256),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_vf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-512),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_wf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-768),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_xf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-1024),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
          },
          Def.ActorFrame{
            Name= "actor_yf",
            InitCommand= function(self) mawaru_body_allroads2 = self end,
            LoopCommand= cmd(linear,(480/115)/2;y,-1024;sleep,0;y,0;queuecommand,"Loop"),--Unconverted y pos. -Kid
            OnCommand= cmd(visible,false;queuecommand,"Loop"),
            Def.Sprite{
              Name= "actor_zf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,1024),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Af",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,768),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Bf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,512),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Cf",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,256),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Df",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Ef",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-256),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Ff",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-512),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_ag",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-768),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_bg",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-1024),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
          },
          Def.ActorFrame{
            Name= "actor_cg",
            InitCommand= function(self) mawaru_body_allroads3 = self end,
            LoopCommand= cmd(linear,(480/115)/2;y,-1024;sleep,0;y,0;queuecommand,"Loop"),--Unconverted y pos. -Kid
            OnCommand= cmd(visible,false;queuecommand,"Loop"),
	    --For all roadtex: Changed from LAER to Sprite, and fixed File line into Texture line. -Kid
            Def.Sprite{
              Name= "actor_dg",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,1024),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
            Def.Sprite{
              Name= "actor_eg",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,768),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
            },
            Def.Sprite{
              Name= "actor_fg",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,512),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
            Def.Sprite{
              Name= "actor_gg",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,256),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
            },
            Def.Sprite{
              Name= "actor_hg",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
            Def.Sprite{
              Name= "actor_ig",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-256),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
            },
            Def.Sprite{
              Name= "actor_jg",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-512),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
            Def.Sprite{
              Name= "actor_kg",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-768),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
            },
            Def.Sprite{
              Name= "actor_lg",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(diffusealpha,0.5;zoomy,1;y,-1024),--Unconverted y pos. -Kid
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
          },
        },
        Def.ActorFrame{
          Name= "actor_mg",--writeonfail -> 'ZTestMode_WriteOnFail'. -Kid
          OnCommand= cmd(visible,false;ztestmode,'ZTestMode_WriteOnFail';zoomx,2;x,SCREEN_CENTER_X;y,SCREEN_BOTTOM;z,-896;rotationx,90),
          Def.ActorFrame{
            Name= "actor_ng",
            InitCommand= function(self) mawaru_body_allroadss = self end,
            LoopCommand= cmd(linear,(480/115)/2;y,-1024;sleep,0;y,0;queuecommand,"Loop"),--Unconverted y pos. -Kid
            OnCommand= cmd(queuecommand,"Loop"),
            Def.Sprite{
              Name= "actor_og",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,1024),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_pg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,768),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_qg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,512),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_rg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,256),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_sg",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_tg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-256),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_ug",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-512),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_vg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-768),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_wg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-1024),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
          },
          Def.ActorFrame{
            Name= "actor_xg",
            InitCommand= function(self) mawaru_body_allroadss2 = self end,
            LoopCommand= cmd(linear,(480/115)/2;y,-1024;sleep,0;y,0;queuecommand,"Loop"),--Unconverted y pos. -Kid
            OnCommand= cmd(visible,false;queuecommand,"Loop"),
            Def.Sprite{
              Name= "actor_yg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,1024),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_zg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,768),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Ag",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,512),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Bg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,256),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Cg",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Dg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-256),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Eg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-512),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_Fg",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-768),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
              Texture= "roadTexInv.png",
            },
            Def.Sprite{
              Name= "actor_ah",--Unconverted y pos. -Kid
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-1024),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
              Texture= "roadTexInv.png",
            },
          },
          Def.ActorFrame{
            Name= "actor_bh",--Unconverted y pos. -Kid
            InitCommand= function(self) mawaru_body_allroadss3 = self end,
            LoopCommand= cmd(linear,(480/115)/2;y,-1024;sleep,0;y,0;queuecommand,"Loop"),
            OnCommand= cmd(visible,false;queuecommand,"Loop"),
	    --For all roadtex: Changed from LAER to Sprite, and fixed File line into Texture line. -Kid
            Def.Sprite{
              Name= "actor_ch",--Unconverted y pos. -Kid
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,1024),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
            Def.Sprite{
              Name= "actor_dh",--Unconverted y pos. -Kid
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,768),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
            },
            Def.Sprite{
              Name= "actor_eh",--Unconverted y pos. -Kid
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,512),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
            Def.Sprite{
              Name= "actor_fh",--Unconverted y pos. -Kid
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,256),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
            },
            Def.Sprite{
              Name= "actor_gh",
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
            Def.Sprite{
              Name= "actor_hh",--Unconverted y pos. -Kid
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-256),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
            },
            Def.Sprite{
              Name= "actor_ih",--Unconverted y pos. -Kid
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-512),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
            Def.Sprite{
              Name= "actor_jh",--Unconverted y pos. -Kid
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-768),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadB(self) end,
            },
            Def.Sprite{
              Name= "actor_kh",--Unconverted y pos. -Kid
              Texture= "roadTexG"..math.random(1,3)..".png",
              InitCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.1;zoomy,1;y,-1024),
              OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
              SetMeCommand= function(self) mawaru_body_roadA(self) end,
            },
          },
        },
	--For shiny parts, Reverse-converted x & y pos. -Kid
        Def.Sprite{
          Name= "actor_lh",
          InitCommand= function(self) mawaru_body_shiny = self end,
          OnCommand= cmd(blend,"BlendMode_Add";diffusealpha,0.3;x,320;y,480-240;z,-900;basezoomx,30;basezoomy,30;zoomx,0.3;zoomy,0.3;
		pulse;effectclock,"timer";effectoffset,30/115;effectperiod,240/115;effectmagnitude,1,1.3,0;linear,10000;rotationz,100000),
          Texture= "shiny.png",--Accidentally expanded to ShinyInv. -Kid
        },
        Def.Sprite{
          Name= "actor_mh",
          InitCommand= function(self) mawaru_body_shiny2 = self end,
          OnCommand= cmd(visible,false;blend,"BlendMode_Add";diffusealpha,0.3;x,320;y,480-240;z,-900;basezoomx,30;basezoomy,30;zoomx,0.3;zoomy,0.3;
		pulse;effectclock,"timer";effectoffset,30/115;effectperiod,240/115;effectmagnitude,1,1.3,0;linear,10000;rotationz,100000),
          Texture= "shinyInv.png",
        },
      },
    },
    Def.Sprite{
      Name= "actor_nh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_oh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_ph",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_qh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_rh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_sh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_th",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_uh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_vh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_wh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_xh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_yh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_zh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_Ah",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_Bh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_Ch",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_Dh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_Eh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_Fh",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_ai",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_bi",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_ci",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_di",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_ei",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_fi",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_gi",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_hi",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_ii",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_ji",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_ki",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_li",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    Def.Sprite{
      Name= "actor_mi",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      InitCommand= cmd(visible,false),
      OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'t') end,
      Texture= "trail.png",
    },
    --For all building parts, Reverse-converted x & y pos. -Kid
    Def.ActorFrame{
      Name= "actor_ni",
      OnCommand= function(self) self:z(-900); self:x(320); self:y(240); mawaru_body_allbuildings = self; end,
      Def.ActorFrame{
        Name= "actor_oi",
        OnCommand= function(self) self:z(900); self:x(-320); self:y(-240); end,
        Def.Quad{
          Name= "actor_pi",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_qi",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_ri",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_si",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_ti",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_ui",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_vi",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_wi",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_xi",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_yi",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_zi",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_Ai",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_Bi",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
        Def.Quad{
          Name= "actor_Ci",
          HideCommand= cmd(visible,false;sleep,0;aux,0),
          InitCommand= cmd(visible,false;zoomto,100,300),
          OnCommand= cmd(sleep,0.04;queuecommand,"SetMe"),
          SetMeCommand= function(self) mawaru_body_list(self,'b') end,
        },
      },
    },
    Def.Sprite{
      Name= "actor_Di",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Ei",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Fi",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_aj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_bj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_cj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_dj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_ej",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_fj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_gj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_hj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_ij",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_jj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_kj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_lj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_mj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_nj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_oj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_pj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_qj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_rj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_sj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_tj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_uj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_vj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_wj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_xj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_yj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_zj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Aj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Bj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Cj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Dj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Ej",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Fj",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_ak",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_bk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_ck",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_dk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_ek",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_fk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_gk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_hk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_ik",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_jk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_kk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_lk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_mk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_nk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_ok",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_pk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_qk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_rk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_sk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_tk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_uk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_vk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_wk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_xk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_yk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_zk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Ak",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Bk",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Sprite{
      Name= "actor_Ck",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'c') end,
      Texture= "checkpoint.png",
    },
    Def.Model{
      Name= "actor_Dk",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_Ek",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_Fk",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_al",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_bl",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_cl",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_dl",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_el",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_fl",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_gl",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_hl",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_il",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_jl",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_kl",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_ll",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Model{
      Name= "actor_ml",
      Bones= "wall.txt",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      Materials= "wall.txt",
      Meshes= "wall.txt",
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'w') end,
    },
    Def.Sprite{
      Name= "actor_nl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_ol",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_pl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_ql",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_rl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_sl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_tl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_ul",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_vl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_wl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_xl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_yl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_zl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Al",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Bl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Cl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Dl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_El",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Fl",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_am",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_bm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_cm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_dm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_em",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_fm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_gm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_hm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_im",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_jm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_km",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_lm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_mm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_nm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_om",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_pm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_qm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_rm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_sm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_tm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_um",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_vm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_wm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_xm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_ym",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_zm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Am",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Bm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Cm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Dm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Em",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Fm",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_an",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_bn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_cn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_dn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_en",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_fn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_gn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_hn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_in",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_jn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_kn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_ln",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_mn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_nn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_on",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_pn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_qn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_rn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_sn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_tn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_un",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_vn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_wn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_xn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_yn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_zn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_An",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Bn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Cn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Dn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_En",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_Fn",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Sprite{
      Name= "actor_ao",
      HideCommand= cmd(visible,false;sleep,0;aux,0),
      OnCommand= cmd(visible,false;sleep,0.04;queuecommand,"SetMe"),
      SetMeCommand= function(self) mawaru_body_list(self,'star') end,
      Texture= "star.png",
    },
    Def.Quad{
      Name= "actor_bo",
      BodyRotateBuildingsMessageCommand= function(self)
		mawaru_body_bg:linear(32*(60/115));
		mawaru_body_bg:rotationz(360);
		mawaru_body_bg:sleep(0);
		mawaru_body_bg:rotationz(0);
		mawaru_body_allbuildings:linear(32*(60/115));
		mawaru_body_allbuildings:rotationz(360);
		mawaru_body_allbuildings:sleep(0);
		mawaru_body_allbuildings:rotationz(0);
	end,
      DebugMessageCommand= function(self)
		local str = 'The dingo stole me baby'
		--Trace(string.find(str,'baby')+4);
	end,
      GreyRoadMessageCommand= function(self)
		local rng = {math.random(1,2),math.random(1,2)};
		mawaru_body_allroads:visible(false);
		if rng[1] == 1 then
			mawaru_body_allroads2:visible(true);
		else
			mawaru_body_allroads3:visible(true);
		end
		if rng[2] == 1 then
			mawaru_body_allroadss2:visible(true);
		else
			mawaru_body_allroadss3:visible(true);
		end
		mawaru_body_shiny:visible(false);
		mawaru_body_shiny2:visible(true);
		mawaru_body_bg:visible(false);
		if GAMESTATE:GetSongBeat()>308 then
			mawaru_body_fgglitch:diffusealpha(0.05);
			mawaru_body_fgglitch:setstate(math.random(0,3));
		end
	end,--Reverse-converted x & y pos. -Kid
      InitCommand= function(self) mawaru_body_controller = self; self:visible(false); self:x(320); self:y(240); end,
      NormalZoomMessageCommand= function(self)
		local go = {-100,100};
		
		mawaru_body_roads:accelerate(120/115)
		mawaru_body_roads:y(480);
	end,
      ResetRoadMessageCommand= function(self)
		mawaru_body_allroads:visible(true);
		mawaru_body_allroads2:visible(false);
		mawaru_body_allroads3:visible(false);
		mawaru_body_allroadss:visible(true);
		mawaru_body_allroadss2:visible(false);
		mawaru_body_allroadss3:visible(false);
		mawaru_body_allbuildings:rotationz(0);
		mawaru_body_shiny:visible(true);
		mawaru_body_shiny2:visible(false);
		mawaru_body_bg:visible(true);
	end,
      RoadAwayMessageCommand= function(self)
		mawaru_body_roads:linear(16*(60/115))
		mawaru_body_roads:y(2000);
	end,
      ScreenRotateMessageCommand= function(self)
		--[[
		screen:x(SCREEN_CENTER_X);
		screen:y(SCREEN_CENTER_Y);
		SongForeground:x(-SCREEN_CENTER_X);
		SongForeground:y(-SCREEN_CENTER_Y);
		SongBackground:x(-SCREEN_CENTER_X);
		SongBackground:y(-SCREEN_CENTER_Y);
		
		screen:decelerate(60/115);
		screen:rotationz(360);
		screen:sleep(0);
		screen:rotationz(0);
		screen:x(0);
		screen:y(0);
		
		SongForeground:sleep(60/115);
		SongForeground:x(0);
		SongForeground:y(0);
		SongBackground:sleep(60/115);
		SongBackground:x(-4);
		SongBackground:y(-3);
		]]
		
		--[[screen:decelerate(120/115);
		screen:rotationz(360);
		screen:sleep(0);
		screen:rotationz(0);]]
		
	end,
      ScreenSquishMessageCommand= function(self)
		
	end,
      ScreenWag2MessageCommand= function(self)
		screen:accelerate(0.2);
		screen:skewx(-0.5);
		screen:zoomx(3);
		screen:x(-SCREEN_WIDTH*0.5);
		screen:accelerate(0.2);
		screen:skewx(0);
		screen:x(0);
		screen:zoomx(1);
	end,
      ScreenWagMessageCommand= function(self)
		screen:accelerate(0.2);
		screen:skewx(0.5);
		screen:zoomx(3);
		screen:x(SCREEN_WIDTH*-1.5);
		screen:accelerate(0.2);
		screen:skewx(0);
		screen:x(0);
		screen:zoomx(1);		
	end,
      SetControllingCommand= function(self) mawaru_body_controlling = true; MESSAGEMAN:Broadcast('BodyRotateBuildings'); end,
      SpawnPlayersCommand= function(self)
	
		local go = {200,-200};
		mawaru_body_lockinput = {0,0}
		mawaru_body_moving = {0,0}
		mawaru_body_hurt = {0,0}
		mawaru_body_wall = {0,0}
		mawaru_body_movedir = {0,0}
		mawaru_body_invin = {0,0}
		mawaru_body_getcheckpoint = {0,0}
		mawaru_body_alpha = {1,1};
		mawaru_body_p1pos = {1,2};
		mawaru_body_p2pos = {3,2};
		for pn=1,2 do
			
			if not mawaru_body_stepped[pn] and not mawaru_body_cpuloaded then
			
				for i=0,3 do
					_G['mawaru_body_p'..pn..'_move'..i]:Load(songName..'lua/body/cp'..pn..'/'..mawaru_body_dirs[i+1]..'.sprite');
				end
				_G['mawaru_body_p'..pn..'_idle']:Load(songName..'lua/body/cp'..pn..'/idle.sprite');
				_G['mawaru_body_p'..pn..'_hurt']:Load(songName..'lua/body/cp'..pn..'/hurt.sprite');
				
			end
			
			for i=0,3 do
				_G['mawaru_body_p'..pn..'_move'..i]:zoom(mawaru_body_charscale);
				if i==3 then
					_G['mawaru_body_p'..pn..'_move'..i]:zoomx(-mawaru_body_charscale);
				end
			end
			
			_G['mawaru_body_p'..pn..'_idle']:zoom(mawaru_body_charscale);
			_G['mawaru_body_p'..pn..'_hurt']:zoom(mawaru_body_charscale);
			
			for i=0,3 do
				_G['mawaru_body_p'..pn..'_move'..i]:stopeffect();
				_G['mawaru_body_p'..pn..'_move'..i]:glow(1,1,1,0);
				_G['mawaru_body_p'..pn..'_move'..i]:diffusealpha(1);
			end
			_G['mawaru_body_p'..pn..'_idle']:stopeffect();
			_G['mawaru_body_p'..pn..'_idle']:glow(1,1,1,0);
			_G['mawaru_body_p'..pn..'_idle']:diffusealpha(1);
			_G['mawaru_body_p'..pn..'_hurt']:stopeffect();
			_G['mawaru_body_p'..pn..'_hurt']:glow(1,1,1,0);
			_G['mawaru_body_p'..pn..'_hurt']:diffusealpha(1);
			
			_G['mawaru_body_p'..pn]:y(240);--Reverse-converted x & y pos. -Kid
			_G['mawaru_body_p'..pn]:x(320);
			_G['mawaru_body_p'..pn]:zoomx(2);
			_G['mawaru_body_p'..pn]:zoomy(0);
			_G['mawaru_body_p'..pn]:z(0);
			_G['mawaru_body_p'..pn..'_rotate']:rotationz(0);
			_G['mawaru_body_p'..pn..'_rotate']:zoom(1);
			_G['mawaru_body_p'..pn]:decelerate(30/115);
			_G['mawaru_body_p'..pn]:x(320-go[pn]);
			_G['mawaru_body_p'..pn]:zoom(1);
		end
		
		self:sleep(40/115);
		self:queuecommand('SetControlling');
		
		mawaru_body_cpuloaded = true;
	end,
      StartCommand= function(self)
		self:sleep(120/115);
		self:queuecommand('SpawnPlayers');
	end,
      Static2MessageCommand= function(self)
		self:sleep(15/115);
		self:queuemessage('GreyRoad');
		self:sleep(30/115);
		self:queuemessage('ResetRoad');
	end,
      UpdateMovementP1MessageCommand= function(self)
		mawaru_body_p1:stoptweening();
		mawaru_body_p1:decelerate(0.2);
		mawaru_body_p1:x(mawaru_body_pos[mawaru_body_p1pos[2]][mawaru_body_p1pos[1]][1]);
		mawaru_body_p1:y(mawaru_body_pos[mawaru_body_p1pos[2]][mawaru_body_p1pos[1]][2]);
		mawaru_body_p1:z(0);
	end,
      UpdateMovementP2MessageCommand= function(self)
		mawaru_body_p2:stoptweening();
		mawaru_body_p2:decelerate(0.2);
		mawaru_body_p2:x(mawaru_body_pos[mawaru_body_p2pos[2]][mawaru_body_p2pos[1]][1]);
		mawaru_body_p2:y(mawaru_body_pos[mawaru_body_p2pos[2]][mawaru_body_p2pos[1]][2]);
		mawaru_body_p2:z(0);
	end,
      UpdateMovementSlowP1MessageCommand= function(self)
		mawaru_body_p1:stoptweening();
		mawaru_body_p1:decelerate(0.5);
		mawaru_body_p1:x(mawaru_body_pos[mawaru_body_p1pos[2]][mawaru_body_p1pos[1]][1]);
		mawaru_body_p1:y(mawaru_body_pos[mawaru_body_p1pos[2]][mawaru_body_p1pos[1]][2]);
		mawaru_body_p1:z(0);
	end,
      UpdateMovementSlowP2MessageCommand= function(self)
		mawaru_body_p2:stoptweening();
		mawaru_body_p2:decelerate(0.5);
		mawaru_body_p2:x(mawaru_body_pos[mawaru_body_p2pos[2]][mawaru_body_p2pos[1]][1]);
		mawaru_body_p2:y(mawaru_body_pos[mawaru_body_p2pos[2]][mawaru_body_p2pos[1]][2]);
		mawaru_body_p2:z(0);
	end,
    },
    Def.ActorFrame{
      Name= "actor_co",
      InitCommand= function(self) mawaru_body_p1 = self end,--Reverse-Converted x & y pos. -Kid
      OnCommand= cmd(zoom,0;x,640*0.25;y,240;bob;effectmagnitude,0,7,0;effectperiod,4;effectclock,"bgm"),
      Def.ActorFrame{
        Name= "actor_do",
        InitCommand= function(self) mawaru_body_p1_rotate = self end,
        StopVibCommand= cmd(stopeffect;sleep,120/115;rotationz,0;zoom,1),
        WallCommand= cmd(stoptweening;vibrate;sleep,0.2;queuecommand,"StopVib"),
        Def.Sprite{
          Name= "actor_eo",
          Frames= {
            {Frame= 0, Delay= 0.125},
            {Frame= 1, Delay= 0.125},
            {Frame= 2, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p1_idle = self end,
          OnCommand= cmd(),
          Texture= "p1/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_fo",
          Frames= {
            {Frame= 6, Delay= 0.125},
            {Frame= 7, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p1_move0 = self end,
          OnCommand= cmd(),
          Texture= "p1/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_go",
          Frames= {
            {Frame= 10, Delay= 0.125},
            {Frame= 11, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p1_move1 = self end,
          OnCommand= cmd(),
          Texture= "p1/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_ho",
          Frames= {
            {Frame= 8, Delay= 0.125},
            {Frame= 9, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p1_move2 = self end,
          OnCommand= cmd(),
          Texture= "p1/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_io",
          Frames= {
            {Frame= 6, Delay= 0.125},
            {Frame= 7, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p1_move3 = self end,
          OnCommand= cmd(zoomx,-1),
          Texture= "p1/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_jo",
          Frames= {
            {Frame= 5, Delay= 9999},
        },
          InitCommand= function(self) mawaru_body_p1_hurt = self end,
          OnCommand= cmd(),
          Texture= "p1/_char 6x2.png",
        },
      },
    },
    Def.ActorFrame{
      Name= "actor_ko",
      InitCommand= function(self) mawaru_body_p2 = self end,--Reverse-Converted x & y pos. -Kid
      OnCommand= cmd(zoom,0;x,640*0.75;y,320;bob;effectmagnitude,0,-7,0;effectperiod,4;effectclock,"bgm"),
      Def.ActorFrame{
        Name= "actor_lo",
        InitCommand= function(self) mawaru_body_p2_rotate = self end,
        StopVibCommand= cmd(stopeffect;sleep,120/115;rotationz,0;zoom,1),
        WallCommand= cmd(stoptweening;vibrate;sleep,0.2;queuecommand,"StopVib"),
        Def.Sprite{
          Name= "actor_mo",
          Frames= {
            {Frame= 0, Delay= 0.125},
            {Frame= 1, Delay= 0.125},
            {Frame= 2, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p2_idle = self end,
          OnCommand= cmd(),
          Texture= "p2/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_no",
          Frames= {
            {Frame= 6, Delay= 0.125},
            {Frame= 7, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p2_move0 = self end,
          OnCommand= cmd(),
          Texture= "p2/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_oo",
          Frames= {
            {Frame= 10, Delay= 0.125},
            {Frame= 11, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p2_move1 = self end,
          OnCommand= cmd(),
          Texture= "p2/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_po",
          Frames= {
            {Frame= 8, Delay= 0.125},
            {Frame= 9, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p2_move2 = self end,
          OnCommand= cmd(),
          Texture= "p2/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_qo",
          Frames= {
            {Frame= 6, Delay= 0.125},
            {Frame= 7, Delay= 0.125},
        },
          InitCommand= function(self) mawaru_body_p2_move3 = self end,
          OnCommand= cmd(zoomx,-1),
          Texture= "p2/_char 6x2.png",
        },
        Def.Sprite{
          Name= "actor_ro",
          Frames= {
            {Frame= 5, Delay= 9999},
        },
          InitCommand= function(self) mawaru_body_p2_hurt = self end,
          OnCommand= cmd(),
          Texture= "p2/_char 6x2.png",
        },
      },
    },
    Def.Quad{
      Name= "actor_so",
      FadeOutMessageCommand= function(self)
		mawaru_body_glitched = 100;
		mawaru_body_bg3:visible(true);
		mawaru_body_bg3:diffusealpha(1);
		mawaru_body_bg3:linear(20*(60/115));
		mawaru_body_bg3:diffusealpha(-1);
		self:queuecommand('RoadGlitch');
	end,
      GameTransitionOutMessageCommand= function(self)
		mawaru_body_glitched = -10;
		self:queuecommand('RoadGlitchLite');
	end,
      OnCommand= cmd(diffusealpha,0;sleep,(30/115)*0.95),
      OneGlitchMessageCommand= function(self)
		mawaru_body_road_controller:queuemessage('GreyRoad');
		mawaru_body_road_controller:sleep(60/115);
		mawaru_body_road_controller:queuemessage('ResetRoad');
	end,
      RoadGlitchCommand= function(self)
		local rng = {math.random(1,50)/600,math.random(1,50)/600}
		mawaru_body_road_controller:queuemessage('GreyRoad');
		mawaru_body_road_controller:sleep(rng[1]);
		mawaru_body_road_controller:queuemessage('ResetRoad');
		mawaru_body_road_controller:sleep(rng[2]);
		self:sleep(rng[1]+rng[2])
		self:queuecommand('RoadGlitch');
	end,
      RoadGlitchLiteCommand= function(self)
		local rng = {math.random(1,50)/600,math.random(1,50)/600}
		mawaru_body_road_controller:queuemessage('GreyRoad');
		mawaru_body_road_controller:sleep(rng[1]);
		mawaru_body_road_controller:queuemessage('ResetRoad');
		mawaru_body_road_controller:sleep(rng[2]);
		self:sleep(rng[1]+rng[2])
		if mawaru_body_glitched < 10 then
			mawaru_body_glitched = mawaru_body_glitched+1
			self:queuecommand('RoadGlitchLite');
		end
	end,
      ScreenRotateMessageCommand= function(self)
		mawaru_body_glitched = 0;
		self:queuecommand('RoadGlitchLite');
	end,
      ScreenWagMessageCommand= function(self)
		mawaru_body_glitched = 0;
		self:queuecommand('RoadGlitchLite');
	end,
    },
    Def.Quad{
      Name= "actor_to",
      InitCommand= function(self) mawaru_body_road_controller=self; end,
    },
    --For static/glitchy things, Reverse-Converted x & y pos. -Kid
    Def.ActorFrame{
      Name= "actor_uo",
      OnCommand= function(self) self:z(896); end,
      Def.ActorFrame{
        Name= "actor_vo",
        OnCommand= function(self) self:z(-896); end,
        Def.Sprite{
          Name= "actor_wo",
          Frames= {
            {Frame= 0, Delay= 0.0333},
            {Frame= 1, Delay= 0.0333},
            {Frame= 2, Delay= 0.0333},
            {Frame= 3, Delay= 0.0333},
        },
          FadeOutMessageCommand= cmd(linear,20*(60/115);diffusealpha,1),
          OnCommand= cmd(diffusealpha,0.11;x,320;y,240;zoomto,640,480),
          Static2MessageCommand= cmd(sleep,(15/115)*0.98;diffusealpha,0.7;linear,30/115;diffusealpha,0.11;
		sleep,0;diffusealpha,0.4;linear,30/115;diffusealpha,-0.3;sleep,0;diffusealpha,0.11),
          Static3MessageCommand= cmd(linear,15/115;diffusealpha,0.7;sleep,30/115;linear,15/115;diffusealpha,0.11),
          StaticMessageCommand= cmd(linear,1.04;diffusealpha,0.7;sleep,1.04;linear,1.04;diffusealpha,0.11),
          Texture= "./_static 4x1.png",
        },
        Def.Quad{
          Name= "actor_xo",
          FadeOutMessageCommand= cmd(linear,20*(60/115);diffusealpha,1),
          OnCommand= cmd(diffusealpha,0;x,320;y,240;zoomto,640,480;diffuse,color('0,0,0,0')),
        },
        Def.Quad{
          Name= "actor_yo",
          OnCommand= cmd(diffusealpha,0;x,320;y,240;zoomto,640,480;diffuse,color('1,1,1,0')),
          WhiteFlashMessageCommand= cmd(finishtweening;diffusealpha,1;linear,4*(60/115);diffusealpha,0),
        },
        Def.Sprite{
          Name= "actor_zo",
          InitCommand= function(self) mawaru_body_fgglitch = self end,
          OnCommand= cmd(diffusealpha,0;animate,0;zoomto,640,480;x,320;y,240;zoom,1),
          Texture= "glitch 2x2.png",
        },
        Def.Sprite{
          Name= "actor_Ao",
          FinalScoresMessageCommand= function(self) if mawaru_body_stepped[1] then self:linear(1); self:diffusealpha(0.5); end end,
          OnCommand= cmd(diffusealpha,0;x,320;y,240;blend,"BlendMode_Add";cropright,.5),
          Texture= "ending_normal.png",
        },
        Def.Sprite{
          Name= "actor_Bo",
          FinalScoresMessageCommand= function(self) if not mawaru_body_stepped[1] then self:linear(1); self:diffusealpha(0.5); end end,
          OnCommand= cmd(diffusealpha,0;x,320;y,240;blend,"BlendMode_Add";cropright,.5),
          Texture= "ending_gray.png",
        },
        Def.Sprite{
          Name= "actor_Co",
          FinalScoresMessageCommand= function(self) if mawaru_body_stepped[2] then self:linear(1); self:diffusealpha(0.5); end end,
          OnCommand= cmd(diffusealpha,0;x,320;y,240;blend,"BlendMode_Add";cropleft,.5),
          Texture= "ending_normal.png",
        },
        Def.Sprite{
          Name= "actor_Do",
          FinalScoresMessageCommand= function(self) if not mawaru_body_stepped[2] then self:linear(1); self:diffusealpha(0.5); end end,
          OnCommand= cmd(diffusealpha,0;x,320;y,240;blend,"BlendMode_Add";cropleft,.5),
          Texture= "ending_gray.png",
        },
        Def.BitmapText{
          Name= "actor_Eo",
          FinalScoresMessageCommand= function(self)
			local str = ''
			if mawaru_body_stepscore[1] > 0 then
				str = str..'Steps: '..mawaru_body_stepscore[1]..'%\n'
			end
			if mawaru_body_score[1] > 0 then
				str = str..'Bonus: +'..mawaru_body_score[1]..'%\n'
			else
				str = str..'Bonus: '..mawaru_body_score[1]..'%\n'
			end
			if mawaru_body_stepscore[1]+mawaru_body_score[1] > mawaru_body_stepscore[2]+mawaru_body_score[2] then
				self:rainbow();
			end
			self:settext(str);
			self:linear(1);
			self:diffusealpha(1);
		end,
          Font= "_eurostile outline",
          OnCommand= cmd(x,640*0.25;y,240;shadowlength,0;diffusealpha,0;zoom,1.1),
          Text= "",
        },
        Def.BitmapText{
          Name= "actor_Fo",
          FinalScoresMessageCommand= function(self)
			local str = ''
			if mawaru_body_stepscore[2] > 0 then
				str = str..'Steps: '..mawaru_body_stepscore[2]..'%\n'
			end
			if mawaru_body_score[2] > 0 then
				str = str..'Bonus: +'..mawaru_body_score[2]..'%\n'
			else
				str = str..'Bonus: '..mawaru_body_score[2]..'%\n'
			end
			if mawaru_body_stepscore[1]+mawaru_body_score[1] < mawaru_body_stepscore[2]+mawaru_body_score[2] then
				self:rainbow();
			end
			self:settext(str);
			self:linear(1);
			self:diffusealpha(1);
		end,
          Font= "_eurostile outline",
          OnCommand= cmd(x,640*0.75;y,240;shadowlength,0;diffusealpha,0;zoom,1.1),
          Text= "",
        },
        Def.BitmapText{
          Name= "actor_ap",
          AddScoreP1MessageCommand= function(self)
			self:finishtweening();
			self:stopeffect();
			self:rotationz(0);
			self:settext('+1');
			self:x(mawaru_body_p1:GetX());
			self:y(mawaru_body_p1:GetY()-30);
			self:diffusealpha(1);
			self:decelerate(0.5);
			self:addy(-50);
			self:sleep(0.25);
			self:linear(0.5);
			self:diffusealpha(0);
		end,
          Font= "_eurostile outline",
          LoseScoreP1MessageCommand= function(self)
			self:finishtweening();
			self:rotationz(0);
			self:vibrate();
			self:effectmagnitude(2,2,2);
			self:settext('-1');
			self:x(mawaru_body_p1:GetX());
			self:y(mawaru_body_p1:GetY()-30);
			self:diffusealpha(1);
			self:decelerate(0.5);
			self:addy(-50);
			self:sleep(0.25);
			self:accelerate(0.5);
			self:diffusealpha(0);
			self:rotationz(30);
			self:addy(50);
		end,
          OnCommand= cmd(x,640*0.25;y,240;shadowlength,0;diffusealpha,0;zoom,1.1;diffuse,color('1,0,0,1')),
          Text= "",
        },
        Def.BitmapText{
          Name= "actor_bp",
          AddScoreP2MessageCommand= function(self)
			self:finishtweening();
			self:stopeffect();
			self:rotationz(0);
			self:settext('+1');
			self:x(mawaru_body_p2:GetX());
			self:y(mawaru_body_p2:GetY()-30);
			self:diffusealpha(1);
			self:decelerate(0.5);
			self:addy(-50);
			self:sleep(0.25);
			self:linear(0.5);
			self:diffusealpha(0);
		end,
          Font= "_eurostile outline",
          LoseScoreP2MessageCommand= function(self)
			self:finishtweening();
			self:rotationz(0);
			self:vibrate();
			self:effectmagnitude(2,2,2);
			self:settext('-1');
			self:x(mawaru_body_p2:GetX());
			self:y(mawaru_body_p2:GetY()-30);
			self:diffusealpha(1);
			self:decelerate(0.5);
			self:addy(-50);
			self:sleep(0.25);
			self:accelerate(0.5);
			self:diffusealpha(0);
			self:rotationz(30);
			self:addy(50);
		end,
          OnCommand= cmd(x,640*0.25;y,240;shadowlength,0;diffusealpha,0;zoom,1.1;diffuse,color('0,.3,1,1')),
          Text= "",
        },
      },
    },
  },
}
