return Def.ActorFrame{
  Name= "actor_ky",
  Def.ActorFrame{
    Name= "actor_ly",
    FOV= 80,
    OnCommand= cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;z,0;sleep,20.4;
				accelerate,1.2;rotationy,3;
				decelerate,1.2;rotationy,6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,-6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,-6;
				accelerate,2.4;rotationy,0;
				decelerate,2.4;rotationy,6;
				accelerate,2.4;rotationy,0),
    Def.ActorFrame{
      Name= "actor_my",
      Def.Sprite{
        Name= "actor_ny",
        Frames= {
          {Frame= 0, Delay= 0.04},
          {Frame= 1, Delay= 0.04},
          {Frame= 2, Delay= 0.04},
          {Frame= 3, Delay= 0.04},
      },
        InitCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -30;zoomx,4;zoomy,0),
        OnCommand= cmd(cropbottom,0.5;accelerate,2;zoomy,4;sleep,42.4;decelerate,2;zoomy,0;rainbow),
        Texture= "./portal 4x1.png",
      },
    },
    Def.ActorFrame{
      Name= "actor_oy",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,21;linear,1.2;rotationx,-130;sleep,2.7;rotationx,-20;linear,1.2;rotationx,-130;sleep,6.3;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_py",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,21;linear,1.2;rotationx,80;sleep,2.7;rotationx,0;linear,1.2;rotationx,80;sleep,6.3;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_qy",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,22.8;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_ry",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,22.8;linear,1.2;rotationx,80;sleep,2.4;rotationx,0;linear,1.2;rotationx,80;sleep,5.4;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_sy",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,23.4;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_ty",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,23.4;linear,1.2;rotationx,80;sleep,2.4;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_uy",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,24.3;linear,1.2;rotationx,-130;sleep,5.1;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_vy",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,24.3;linear,1.2;rotationx,80;sleep,5.1;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_wy",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,2.25;linear,1.2;rotationx,-130;sleep,9.65;rotationx,-20;linear,1.2;rotationx,-130;sleep,10.8;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.0;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_xy",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,2.25;linear,1.2;rotationx,80;sleep,9.65;rotationx,0;linear,1.2;rotationx,80;sleep,10.8;rotationx,0;linear,1.2;rotationx,80;sleep,3.0;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_yy",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,3.45;linear,1.2;rotationx,-130;sleep,14.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.1;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_zy",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,3.45;linear,1.2;rotationx,80;sleep,14.4;rotationx,0;linear,1.2;rotationx,80;sleep,5.4;rotationx,0;linear,1.2;rotationx,80;sleep,5.1;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_Ay",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,9.45;linear,1.2;rotationx,-130;sleep,9.0;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.1;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_By",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,9.45;linear,1.2;rotationx,80;sleep,9.0;rotationx,0;linear,1.2;rotationx,80;sleep,5.1;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_Cy",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,11.85;linear,1.2;rotationx,-130;sleep,9.3;rotationx,-20;linear,1.2;rotationx,-130;sleep,4.8;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_Dy",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,11.85;linear,1.2;rotationx,80;sleep,9.3;rotationx,0;linear,1.2;rotationx,80;sleep,4.8;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_Ey",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,1.425;linear,1.2;rotationx,-130;sleep,4.8;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.25;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_Fy",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,1.425;linear,1.2;rotationx,80;sleep,4.8;rotationx,0;linear,1.2;rotationx,80;sleep,5.25;rotationx,0;linear,1.2;rotationx,80;sleep,2.4;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_az",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,4.275;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.55;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_bz",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,4.275;linear,1.2;rotationx,80;sleep,2.4;rotationx,0;linear,1.2;rotationx,80;sleep,5.55;rotationx,0;linear,1.2;rotationx,80;sleep,2.4;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_cz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,5.025;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,6.0;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.15;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_dz",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,5.025;linear,1.2;rotationx,80;sleep,2.4;rotationx,0;linear,1.2;rotationx,80;sleep,6.0;rotationx,0;linear,1.2;rotationx,80;sleep,3.15;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_ez",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,6.225;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,4.8;rotationx,-20;linear,1.2;rotationx,-130;sleep,11.55;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_fz",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,90;z,255;sleep,9.65;zoom,1;sleep,6.225;linear,1.2;rotationx,80;sleep,3.6;rotationx,0;linear,1.2;rotationx,80;sleep,4.8;rotationx,0;linear,1.2;rotationx,80;sleep,11.55;rotationx,0;linear,1.2;rotationx,80),
      },
    },
    Def.ActorFrame{
      Name= "actor_gz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,2.4;linear,1.2;rotationx,-140;sleep,9.3;rotationx,-30;linear,1.2;rotationx,-140;sleep,8.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,5.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_hz",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,2.4;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,9.3;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,8.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,5.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_iz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,3.3;linear,1.2;rotationx,-140;sleep,10.8;rotationx,-30;linear,1.2;rotationx,-140;sleep,6.6;rotationx,-30;linear,1.2;rotationx,-140;sleep,6.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_jz",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,3.3;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,10.8;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,6.6;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,6.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_kz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,5.7;linear,1.2;rotationx,-140;sleep,12.6;rotationx,-30;linear,1.2;rotationx,-140;sleep,5.1;rotationx,-30;linear,1.2;rotationx,-140;sleep,5.1;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_lz",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,5.7;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,12.6;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,5.1;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,5.1;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_mz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,12;linear,1.2;rotationx,-140;sleep,7.5;rotationx,-30;linear,1.2;rotationx,-140;sleep,6.6;rotationx,-30;linear,1.2;rotationx,-140;sleep,3.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_nz",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,12;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,7.5;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,6.6;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,3.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_oz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,0.45;linear,1.2;rotationx,-140;sleep,6.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,5.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,4.5;rotationx,-30;linear,1.2;rotationx,-140;sleep,2.7;rotationx,-30;linear,1.2;rotationx,-140;sleep,2.7;rotationx,-30;linear,1.2;rotationx,-140;sleep,2.7;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_pz",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,0.45;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,6.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,5.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,4.5;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,2.7;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,2.7;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,2.7;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_qz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,1.05;linear,1.2;rotationx,-140;sleep,6.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,7.2;rotationx,-30;linear,1.2;rotationx,-140;sleep,3.9;rotationx,-30;linear,1.2;rotationx,-140;sleep,1.5;rotationx,-30;linear,1.2;rotationx,-140;sleep,2.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,3.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_rz",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,1.05;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,6.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,7.2;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,3.9;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,1.5;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,2.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,3.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_sz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,4.65;linear,1.2;rotationx,-140;sleep,4.2;rotationx,-30;linear,1.2;rotationx,-140;sleep,6.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,3.6;rotationx,-30;linear,1.2;rotationx,-140;sleep,2.1;rotationx,-30;linear,1.2;rotationx,-140;sleep,3.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,2.7;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_tz",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,4.65;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,4.2;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,6.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,3.6;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,2.1;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,3.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,2.7;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_uz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,7.05;linear,1.2;rotationx,-140;sleep,2.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,6.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,3.6;rotationx,-30;linear,1.2;rotationx,-140;sleep,3.0;rotationx,-30;linear,1.2;rotationx,-140;sleep,3.3;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_vz",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,7.05;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,2.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,6.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,3.6;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,3.0;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,3.3;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_wz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,1.875;linear,1.2;rotationx,-140;sleep,8.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,8.7;rotationx,-30;linear,1.2;rotationx,-140;sleep,8.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_xz",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,1.875;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,8.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,8.7;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,8.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_yz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,3.825;linear,1.2;rotationx,-140;sleep,8.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,10.35;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_zz",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,3.825;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,8.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,10.35;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_Az",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,6.675;linear,1.2;rotationx,-140;sleep,8.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,8.7;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_Bz",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,6.675;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,8.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,8.7;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_Cz",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,100;rotationx,-30;sleep,9.65;sleep,9.075;linear,1.2;rotationx,-140;sleep,8.4;rotationx,-30;linear,1.2;rotationx,-140;sleep,7.5;rotationx,-30;linear,1.2;rotationx,-140;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_Dz",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,0;z,255;sleep,9.65;zoom,1;sleep,9.075;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,8.4;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30;sleep,7.5;rotationx,0;addx,-30;linear,1.2;rotationx,80;addx,30),
      },
    },
    Def.ActorFrame{
      Name= "actor_Ez",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,1.2;linear,1.2;rotationx,-95;sleep,6.9;rotationx,15;linear,1.2;rotationx,-95;sleep,7.2;rotationx,15;linear,1.2;rotationx,-95;sleep,2.4;rotationx,15;linear,1.2;rotationx,-95;sleep,2.1;rotationx,15;linear,1.2;rotationx,-95;sleep,1.5;rotationx,15;linear,1.2;rotationx,-95;sleep,2.4;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_Fz",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,1.2;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,6.9;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,7.2;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.1;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,1.5;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_aA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,4.5;linear,1.2;rotationx,-95;sleep,5.1;rotationx,15;linear,1.2;rotationx,-95;sleep,6.9;rotationx,15;linear,1.2;rotationx,-95;sleep,1.8;rotationx,15;linear,1.2;rotationx,-95;sleep,2.1;rotationx,15;linear,1.2;rotationx,-95;sleep,1.5;rotationx,15;linear,1.2;rotationx,-95;sleep,2.4;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_bA",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,4.5;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,5.1;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,6.9;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,1.8;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.1;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,1.5;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_cA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,6.9;linear,1.2;rotationx,-95;sleep,6.0;rotationx,15;linear,1.2;rotationx,-95;sleep,4.5;rotationx,15;linear,1.2;rotationx,-95;sleep,2.7;rotationx,15;linear,1.2;rotationx,-95;sleep,1.2;rotationx,15;linear,1.2;rotationx,-95;sleep,2.1;rotationx,15;linear,1.2;rotationx,-95;sleep,2.7;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_dA",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,6.9;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,6.0;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,4.5;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.7;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,1.2;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.1;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.7;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_eA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,8.1;linear,1.2;rotationx,-95;sleep,7.2;rotationx,15;linear,1.2;rotationx,-95;sleep,2.7;rotationx,15;linear,1.2;rotationx,-95;sleep,2.4;rotationx,15;linear,1.2;rotationx,-95;sleep,1.5;rotationx,15;linear,1.2;rotationx,-95;sleep,2.1;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_fA",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,8.1;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,7.2;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.7;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,1.5;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.1;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_gA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,1.65;linear,1.2;rotationx,-95;sleep,8.4;rotationx,15;linear,1.2;rotationx,-95;sleep,6.9;rotationx,15;linear,1.2;rotationx,-95;sleep,5.7;rotationx,15;linear,1.2;rotationx,-95;sleep,3.0;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_hA",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,1.65;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,8.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,6.9;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,5.7;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,3.0;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_iA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,4.05;linear,1.2;rotationx,-95;sleep,8.4;rotationx,15;linear,1.2;rotationx,-95;sleep,6.0;rotationx,15;linear,1.2;rotationx,-95;sleep,5.4;rotationx,15;linear,1.2;rotationx,-95;sleep,2.4;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_jA",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,4.05;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,8.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,6.0;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,5.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,2.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_kA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,5.85;linear,1.2;rotationx,-95;sleep,8.4;rotationx,15;linear,1.2;rotationx,-95;sleep,4.8;rotationx,15;linear,1.2;rotationx,-95;sleep,6.0;rotationx,15;linear,1.2;rotationx,-95;sleep,3.0;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_lA",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,5.85;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,8.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,4.8;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,6.0;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,3.0;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_mA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,8.85;linear,1.2;rotationx,-95;sleep,8.4;rotationx,15;linear,1.2;rotationx,-95;sleep,3.6;rotationx,15;linear,1.2;rotationx,-95;sleep,4.5;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_nA",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,8.85;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,8.4;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,3.6;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,5.7;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_oA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,0.225;linear,1.2;rotationx,-95;sleep,4.05;rotationx,15;linear,1.2;rotationx,-95;sleep,6.0;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_pA",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,0.225;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,4.05;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,6.0;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_qA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,0.675;linear,1.2;rotationx,-95;sleep,7.95;rotationx,15;linear,1.2;rotationx,-95;sleep,4.05;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_rA",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,0.675;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,7.95;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,4.05;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_sA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,2.625;linear,1.2;rotationx,-95;sleep,6.45;rotationx,15;linear,1.2;rotationx,-95;sleep,11.1;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_tA",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,2.625;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,6.45;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,11.1;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_uA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;z,-75;rotationx,15;sleep,9.65;sleep,3.075;linear,1.2;rotationx,-95;sleep,7.95;rotationx,15;linear,1.2;rotationx,-95;sleep,18.75;rotationx,15;linear,1.2;rotationx,-95;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_vA",
        Bones= "16th/16arrowmesh.txt",
        Materials= "16th/16th.txt",
        Meshes= "16th/16arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,180;y,SCREEN_CENTER_Y + -340;z,255;sleep,9.65;zoom,1;sleep,3.075;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,7.95;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30;sleep,18.75;rotationx,0;addx,30;linear,1.2;rotationx,50;addx,-30),
      },
    },
    Def.ActorFrame{
      Name= "actor_wA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.1;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.0;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_xA",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,-90;z,255;sleep,9.65;zoom,1;linear,1.2;rotationx,90;sleep,3.6;rotationx,0;linear,1.2;rotationx,90;sleep,3.6;rotationx,0;linear,1.2;rotationx,90;sleep,3.6;rotationx,0;linear,1.2;rotationx,90;sleep,3.6;rotationx,0;linear,1.2;rotationx,90;sleep,5.1;rotationx,0;linear,1.2;rotationx,90;sleep,3.0;rotationx,0;linear,1.2;rotationx,90),
      },
    },
    Def.ActorFrame{
      Name= "actor_yA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,0.9;linear,1.2;rotationx,-130;sleep,3.9;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.3;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.9;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.3;rotationx,-20;linear,1.2;rotationx,-130;sleep,6.3;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_zA",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,-90;z,255;sleep,9.65;zoom,1;sleep,0.9;linear,1.2;rotationx,90;sleep,3.9;rotationx,0;linear,1.2;rotationx,90;sleep,3.3;rotationx,0;linear,1.2;rotationx,90;sleep,3.9;rotationx,0;linear,1.2;rotationx,90;sleep,3.3;rotationx,0;linear,1.2;rotationx,90;sleep,6.3;rotationx,0;linear,1.2;rotationx,90;sleep,2.4;rotationx,0;linear,1.2;rotationx,90),
      },
    },
    Def.ActorFrame{
      Name= "actor_AA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,2.1;linear,1.2;rotationx,-130;sleep,3.9;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.3;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.9;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_BA",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,-90;z,255;sleep,9.65;zoom,1;sleep,2.1;linear,1.2;rotationx,90;sleep,3.9;rotationx,0;linear,1.2;rotationx,90;sleep,3.3;rotationx,0;linear,1.2;rotationx,90;sleep,3.9;rotationx,0;linear,1.2;rotationx,90;sleep,3.6;rotationx,0;linear,1.2;rotationx,90;sleep,5.4;rotationx,0;linear,1.2;rotationx,90;sleep,2.4;rotationx,0;linear,1.2;rotationx,90),
      },
    },
    Def.ActorFrame{
      Name= "actor_CA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,3.6;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.0;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_DA",
        Bones= "4th/4arrowmesh.txt",
        Materials= "4th/4th.txt",
        Meshes= "4th/4arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,-90;z,255;sleep,9.65;zoom,1;sleep,3.6;linear,1.2;rotationx,90;sleep,3.6;rotationx,0;linear,1.2;rotationx,90;sleep,3.6;rotationx,0;linear,1.2;rotationx,90;sleep,3.6;rotationx,0;linear,1.2;rotationx,90;sleep,3.0;rotationx,0;linear,1.2;rotationx,90;sleep,5.4;rotationx,0;linear,1.2;rotationx,90),
      },
    },
    Def.ActorFrame{
      Name= "actor_EA",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,2.85;linear,1.2;rotationx,-130;sleep,10.8;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.1;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,4.2;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_FA",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,-90;z,255;sleep,9.65;zoom,1;sleep,2.85;linear,1.2;rotationx,90;sleep,10.8;rotationx,0;linear,1.2;rotationx,90;sleep,5.1;rotationx,0;linear,1.2;rotationx,90;sleep,2.4;rotationx,0;linear,1.2;rotationx,90;sleep,4.2;rotationx,0;linear,1.2;rotationx,90),
      },
    },
    Def.ActorFrame{
      Name= "actor_aB",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,5.25;linear,1.2;rotationx,-130;sleep,9.65;rotationx,-20;linear,1.2;rotationx,-130;sleep,5.7;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,3.0;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_bB",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,-90;z,255;sleep,9.65;zoom,1;sleep,5.25;linear,1.2;rotationx,90;sleep,9.65;rotationx,0;linear,1.2;rotationx,90;sleep,5.7;rotationx,0;linear,1.2;rotationx,90;sleep,2.4;rotationx,0;linear,1.2;rotationx,90;sleep,3.0;rotationx,0;linear,1.2;rotationx,90),
      },
    },
    Def.ActorFrame{
      Name= "actor_cB",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,6.45;linear,1.2;rotationx,-130;sleep,12.6;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.1;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,4.2;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_dB",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,-90;z,255;sleep,9.65;zoom,1;sleep,6.45;linear,1.2;rotationx,90;sleep,12.6;rotationx,0;linear,1.2;rotationx,90;sleep,2.1;rotationx,0;linear,1.2;rotationx,90;sleep,2.4;rotationx,0;linear,1.2;rotationx,90;sleep,4.2;rotationx,0;linear,1.2;rotationx,90),
      },
    },
    Def.ActorFrame{
      Name= "actor_eB",
      OnCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationx,-20;sleep,9.65;sleep,12.45;linear,1.2;rotationx,-130;sleep,6.9;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.4;rotationx,-20;linear,1.2;rotationx,-130;sleep,4.5;rotationx,-20;linear,1.2;rotationx,-130;sleep,2.1;rotationx,-20;linear,1.2;rotationx,-130;sleep,0.01;zoom,0),
      Def.Model{
        Name= "actor_fB",
        Bones= "8th/8arrowmesh.txt",
        Materials= "8th/8th.txt",
        Meshes= "8th/8arrowmesh.txt",
        OnCommand= cmd(zoom,0;rotationz,-90;z,255;sleep,9.65;zoom,1;sleep,12.45;linear,1.2;rotationx,90;sleep,6.9;rotationx,0;linear,1.2;rotationx,90;sleep,2.4;rotationx,0;linear,1.2;rotationx,90;sleep,4.5;rotationx,0;linear,1.2;rotationx,90;sleep,2.1;rotationx,0;linear,1.2;rotationx,90),
      },
    },
    Def.ActorFrame{
      Name= "actor_gB",
      Def.Sprite{
        Name= "actor_hB",
        Frames= {
          {Frame= 0, Delay= 0.04},
          {Frame= 1, Delay= 0.04},
          {Frame= 2, Delay= 0.04},
          {Frame= 3, Delay= 0.04},
      },
        InitCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;zoomx,4;zoomy,0),
        OnCommand= cmd(croptop,0.5;accelerate,2;zoomy,4;sleep,42.4;decelerate,2;zoomy,0;rainbow),
        Texture= "./portal 4x1.png",
      },
    },
    Def.ActorFrame{
      Name= "actor_iB",
      OnCommand= cmd(sleep,44.4;decelerate,2.4;zoom,0),
      Def.Model{
        Name= "actor_jB",
        Bones= "pad/platform bones.txt",
        InitCommand= cmd(x,SCREEN_CENTER_X + -320;y,SCREEN_CENTER_Y + -240;rotationy,0;rotationx,0;zoom,0;z,-150),
        Materials= "pad/platform materials.txt",
        Meshes= "pad/platform meshes.txt",
        OnCommand= cmd(decelerate,4.8;zoom,1.5;rotationx,30;sleep,3.6;zoom,15;addy,1500;decelerate,1.2;zoom,1.5;addy,-1500;linear,0.15;zoomx,8;linear,0.15;zoomx,1.5;linear,0.15;rotationz,360;sleep,0.15;queuecommand,"Vib";sleep,0.3;queuecommand,"Stop"),
        StopCommand= cmd(stopeffect),
        VibCommand= cmd(vibrate),
      },
    },
  },
}
